#!/bin/csh
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --job-name=test-1
#SBATCH -t 04:00:00

# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date: 9/27/2016

#######################################################################################

unset noclobber

# Update number of frames per dyn, number of lipids per leaflet
set Nf = 1000   
set Nlip = 50

#####################################################################################################################

# Number of dyns
set N = `cat Ndyn.txt`

# block size, number of lipids times 9 images 
@ bs = $Nlip * 9

# loop over two leaflet
foreach f ( top bot )
echo $f > ftype.txt

# loop over number of dyn
set i = 1
while ( $i <= $N )
# Index of dyn
echo $i > Idyn.txt

rm -f $f/dbscan-$i.txt $f/num-$i.txt $f/tot-$i.txt

# loop over number of frame index
set fr = 0
while ( $fr < $Nf )
echo $fr > Frame.txt

@ fline = $fr * $bs + 1
@ lline = ( $fr + 1) * $bs
#echo $fline, $lline
sed -n ''$fline','$lline'p' $f/xy-fix-$i.dat > $f/xy-fix-$i-$fr.dat

module load python/2.7.8
dbscan.py >& $f/dbscan-$i-$fr.txt

cat $f/dbscan-$i-$fr.txt >> $f/dbscan-$i.txt
cat $f/num-$i-$fr.txt >> $f/num-$i.txt
cat $f/tot-$i-$fr.txt >> $f/tot-$i.txt

rm -f $f/xy-fix-$i-$fr.dat $f/dbscan-$i-$fr.txt $f/num-$i-$fr.txt $f/tot-$i-$fr.txt

# Exit when error exist, non-empty error.txt exist
grep 'Error' $f/dbscan-$i.txt > error.txt
if ( -s error.txt ) then
exit
endif


@ fr = $fr + 1
end

@ i = $i + 1
end

end



