# Gnuplot script for plotting the equlibration data
# Created by Xiaohong Zhuang on 9/27/2016

set terminal png enhanced font "Arial,40" size 1280,1024
set output 'top/3b_cluster-top.tif'
#outptitle=system("cat title.txt")
#set title outptitle font "Arial-Bold,55" 
set xlabel '{/Arial-Bold=55 X []}'
set ylabel '{/Arial-Bold=55 Y []}' offset 1,0 
set xtics font  "Arial-Bold,50" 
set ytics font  "Arial-Bold,50"
set xtics -40,20,40
set ytics -40,20,40
#set xtics auto
#set ytics auto
set mxtics 2
set mytics 2
set grid
set key left top 
# set key samplen (line width) and then key box setting: spacing....
set key samplen 3 spacing 1.5 width 2 height 2
# set key font ",40"
 set tmargin 1
 set bmargin -3
 set lmargin 0.5
 set rmargin 0
set pointsize 1
#set size square
set size ratio 0.95

# Update left and right box boundary
Lb=-41
Rb=41

set arrow from Lb,Lb to Lb,Rb nohead lw 5 lc rgb 'black'
set arrow from Lb,Rb to Rb,Rb nohead lw 5 lc rgb 'black'
set arrow from Rb,Rb to Rb,Lb nohead lw 5 lc rgb 'black'
set arrow from Rb,Lb to Lb,Lb nohead lw 5 lc rgb 'black'

# set xzeroaxis 
set border lw 3
set bar 0
set key off

# show margin  
plot [-85:85] [-85:85] \
'top/xy-frame.txt' using 4:5 with point pt 6 ps 7 lw 3 lc rgb '#7F7F7F' title '{/Arial-Bold=45 all.}', \
'top/cluster-frame-sort.txt' every ::0::19 using 9:10 with point pt 6 ps 7 lw 10 lc rgb 'gold'  title '{/Arial-Bold=45 Sterol}', \
'top/cluster-frame-sort.txt' every ::20::25 using 9:10 with point pt 6 ps 7 lw 10 lc rgb 'red'  title '{/Arial-Bold=45 SM}'
