# Gnuplot script for plotting the equlibration data
# Created by Xiaohong Zhuang on 9/27/2016

set terminal png enhanced font "Arial,45" size 1280,1024
set output 'tb-avg/4c_bin_R.tif'
#outptitle=system("cat title.txt")
#set title outptitle font "Arial-Bold,55" 
set xlabel '{/Arial-Bold=50 R_{pl} - R_{ll}}'
set ylabel '{/Arial-Bold=60 Pr}' offset 1,0 
set xtics font  "Arial-Bold,45" 
set ytics font  "Arial-Bold,45"
set xtics -1,0.5,1
set ytics 0,0.05,0.25
set format y "%.2f";
#set xtics auto
#set ytics auto
set mxtics 5
set mytics 2
#set grid

set key left top 
# set key samplen (line width) and then key box setting: spacing....
set key samplen 3 spacing 1.5 width 2 height 2
# set key font ",40"
 set tmargin 1
 set bmargin 3.2
 set lmargin 8.5
 set rmargin 3
set pointsize 1
#set size square
#set size ratio 0.8

# set xzeroaxis 
set border lw 3
set bar 0
set key off

# show margin  
plot [-1:1] [0:0.25] \
'tb-avg/final-bin-R.txt' using 1:2 with line lw 6 lc rgb 'blue' title '{/Arial-Bold=45 Ratio}', \
'tb-avg/final-bin-R.txt' using 1:2 with point pt 6 ps 4 lw 5 lc rgb 'blue' title '{/Arial-Bold=45 Ratio}'
