#!/usr/bin/env python

# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date: 9/27/2016

# Count the lipids in each cluster
import numpy as np

# Read lipid names
filetoread = "lip-names.txt"
fob=open(filetoread,'r')
resn=fob.readlines()
Rlip = [];
for line in resn:
	Rlip.append(line)                    # To generate lists of atom names of all lines, with each line as a string element
Rlip = map(lambda s: s.strip(), Rlip)        # To remove \n in each string element
fob.close()

# Read name of file
fob = open('ftype.txt','r')
ftype = fob.readline()
ftype = ftype.strip()
fob.close()

# Read the data file
filetoread1 = "%s/all-Nlc-fr.txt" % ftype
data1 = np.genfromtxt(filetoread1,delimiter="\t",skip_header=1)
Nr=np.shape(data1)[0]; Nc=np.shape(data1)[1];

## Calculate average number of lipid per cluster of each lipid type
avg=np.mean(data1[:,2:], axis=0).reshape(1,-1)  # column-wise mean
filetowrite1 = "%s/all-Nlc-avg.txt" % ftype
title1 = '\t'.join(str(e) for e in Rlip)
title = 'Nlfa\tNcfa\tNlca\t' + title1
np.savetxt(filetowrite1, avg, fmt='%.3f', delimiter='\t',header=title)

