#!/usr/bin/env python

# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date:9/27/2016

# Count the lipids in each cluster
import numpy as np

# Read lipid names
filetoread = "lip-names.txt"
fob=open(filetoread,'r')
resn=fob.readlines()
Rlip = [];
for line in resn:
	Rlip.append(line)                    # To generate lists of atom names of all lines, with each line as a string element
Rlip = map(lambda s: s.strip(), Rlip)        # To remove \n in each string element
fob.close()

# Read name of file
fob = open('ftype.txt','r')
ftype = fob.readline()
ftype = ftype.strip()
fob.close()

# Read current number of dyn
fob = open('Idyn.txt','r')
Idyn = fob.readline()
Idyn = Idyn.strip()
Idyn = int(Idyn)
fob.close()

# Read the data file
filetoread1 = "%s/tot-%i.txt" % (ftype,Idyn)
data1 = np.genfromtxt(filetoread1,delimiter="\t",skip_header=1)
Nframe=np.shape(data1)[0];
#dyn index, frame index, number of lipids in the frame and cluster
If=data1[:,1]; Nlf=data1[:,2]; Ncf=data1[:,3];

filetoread2 = "%s/count-%i.txt" % (ftype,Idyn)
data2 = np.genfromtxt(filetoread2,delimiter="\t",skip_header=1)
data2=data2[:,:-1]; # remove the tab column

def Block_avg(Data):
	Avg=np.mean(Data[:,3:], axis=0);  # column-wise mean
	avg='\t'.join(str(format(x,'.4f')) for x in Avg)
	print avg

# print title
print "Idyn","\t","If","\t","Nlf","\t","Ncf","\t","Nlca","\t",
for i in range(0,len(Rlip),1):
	print Rlip[i],"\t",
print ""

Nline=0;
for i in range(0,Nframe,1):
	print Idyn-1,"\t",int(If[i]),"\t",int(Nlf[i]),"\t",int(Ncf[i]),"\t",
	block=data2[Nline:Nline+int(Ncf[i]),:];
	Block_avg(block);
	Nline+=int(Ncf[i]);

