#!/usr/bin/env python

# Xiaohong Zhuang
# Date: 8/5/2015

import os
import math
import numpy as np

# Read name of file
fob = open('ftype.txt','r')
ftype = fob.readline()
ftype = ftype.strip()
fob.close()

filetoread = "%s/all-tot.txt" % ftype
data=np.genfromtxt(filetoread,delimiter="\t",skip_header=1)
Ndata = np.shape(data)[0]

dmin=3; dmax=16; Nbins = (dmax-dmin)*1
H, xedges = np.histogram(data[:,4],bins=Nbins,range=[dmin,dmax], normed=False, weights=None, density=None)

for i in range(0,len(H),1):
	print '%i\t%.4f' % (xedges[i],float(H[i])/Ndata)

# save averaged values 
avg=np.mean(data[:,2:], axis=0).reshape(1,-1)  # column-wise mean

filetowrite1 = "%s/all-tot-avg.txt" % ftype
f1 = open(filetowrite1,'w')
title1 = "Nlf\tNcf\tNlca"
np.savetxt(filetowrite1, avg, fmt='%.3f', delimiter='\t',header=title1)

