#!/usr/bin/env python

# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date: 9/27/2016

# Count the lipids in each cluster
import numpy as np

# Read lipid names
filetoread = "lip-names.txt"
fob=open(filetoread,'r')
resn=fob.readlines()
Rlip = [];
for line in resn:
	Rlip.append(line)                # To generate lists of atom names of all lines, with each line as a string element
Rlip = map(lambda s: s.strip(), Rlip)    # To remove \n in each string element
fob.close()

# Read name of file
fob = open('ftype.txt','r')
ftype = fob.readline()
ftype = ftype.strip()
fob.close()

# Read the data file
filetoread1 = "%s/all-count.txt" % ftype
data1 = np.genfromtxt(filetoread1,delimiter="\t",skip_header=1)
data1=data1[:,:-1];  # number of columns, minus the last tab column
Nr=np.shape(data1)[0]; Nc=np.shape(data1)[1]; Nlc =data1[:,3];
#print Nr,Nc
 
# Make sure select correct column numbers. e.g. 6:9 is 7th to 9th columns
# add PLPA,PLPC, and PLPE to PL; add LLPA,LLPC, and LLPE to LL;
Nlc = data1[:,3]; PL = data1[:,6:9]; LL = data1[:,10:13];

Rpl = (np.sum(PL, axis=1)/Nlc).reshape(-1,1);
Rll = (np.sum(LL, axis=1)/Nlc).reshape(-1,1);
Rdif = (Rpl-Rll).reshape(-1,1);
Rl = np.concatenate((Rpl,Rll,Rdif), axis=1);
#print Rl

dmin=-1; dmax=1; Nbins = (dmax-dmin)*10
H, xedges = np.histogram(Rdif,bins=Nbins,range=[dmin,dmax], normed=False, weights=None, density=None)

#print 'Rdif\tProb'
for i in range(0,len(H),1):
	print '%.2f\t%.4f' % (xedges[i],float(H[i])/Nr)

