#!/usr/bin/env python

# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date:9/27/2016

# Count the lipids in each cluster
import numpy as np

# Read lipid names
filetoread = "lip-names.txt"
fob=open(filetoread,'r')
resn=fob.readlines()
Rlip = [];
for line in resn:
	Rlip.append(line)                    # To generate lists of atom names of all lines, with each line as a string element
Rlip = map(lambda s: s.strip(), Rlip)        # To remove \n in each string element
fob.close()

# Read name of file
fob = open('ftype.txt','r')
ftype = fob.readline()
ftype = ftype.strip()
fob.close()

# Read current number of dyn
fob = open('Idyn.txt','r')
Idyn = fob.readline()
Idyn = Idyn.strip()
Idyn = int(Idyn)
fob.close()

# Read the data file
filetoread1 = "%s/tot-%i.txt" % (ftype,Idyn)
data1 = np.genfromtxt(filetoread1,delimiter="\t",skip_header=1)
#frame index, cluster index, number of lipids in the cluster
Nframe= np.shape(data1)[0]; 

filetoread2 = "%s/num-%i.txt" % (ftype,Idyn)
data2 = np.genfromtxt(filetoread2,delimiter="\t",skip_header=1)
#frame index, cluster index, number of lipids in each cluster
Nc= np.shape(data2)[0]; If2=data2[:,1]; Ic =data2[:,2]; Nlc =data2[:,3];

filetoread3 = "%s/dbscan-%i.txt" % (ftype,Idyn)
data3 = np.genfromtxt(filetoread3,delimiter="\t",skip_header=1)
# Find number of rows and columns
NR= np.shape(data3)[0]; NC= np.shape(data3)[1];

fob=open(filetoread3,'r')
file=fob.readlines()
fob.close()

def Block_Count(Block):
	Rdict={}
	for i in range(0,len(Rlip),1):
		Rdict[Rlip[i]] = 0;
	for line in block:
		linelist = line.strip().split(); lip=linelist[5];
		if Rdict.has_key(lip):
			Rdict[lip] +=1;
	return Rdict

# print title
print "Idyn","\t","If","\t","Ic","\t","Nlc","\t",
for i in range(0,len(Rlip),1):
	print Rlip[i],"\t",
print ""

Nline=0;
for i in range(0,len(Nlc),1):
	block=file[Nline+1:Nline+int(Nlc[i])+1];  # use +1 because of the header line in the input file
	rdict=Block_Count(block);
	print Idyn-1,"\t",int(If2[i]),"\t",int(Ic[i]),"\t",int(Nlc[i]),"\t",
	for j in range(0,len(Rlip),1):
		print rdict[Rlip[j]],"\t",
	Nline+=int(Nlc[i]);
	print ""

	
			




