#!/usr/bin/env python

# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date:9/13/2016

# Count the lipids in each cluster
import numpy as np

# Read lipid names
filetoread = "lip-numbers.txt"
fob=open(filetoread,'r')
resn=fob.readlines()
Rlip = [];
for line in resn:
	Rlip.append(line)                    # To generate lists of atom names of all lines, with each line as a string element
Rlip = map(lambda s: s.strip(), Rlip)        # To remove \n in each string element
fob.close()

Nlip = [int(x) for x in Rlip]
Nlip = [0,0,0]+Nlip;

# Read name of file
fob = open('ftype.txt','r')
ftype = fob.readline()
ftype = ftype.strip()
fob.close()

# Read the data file
filetoread1 = "tb-avg/%s-tb.txt" % ftype
data1 = np.genfromtxt(filetoread1,delimiter="\t",skip_header=1)
Nr=np.shape(data1)[0]; Nc=np.shape(data1)[1]; # number of row/column, first row (lipname) skipped

avg=np.mean(data1, axis=0).reshape(1,-1)  # column-wise mean

# write averaged number of lipids
filetowrite1 = "tb-avg/%s-tb-temp.txt" % ftype
np.savetxt(filetowrite1, avg, fmt='%.3f', delimiter='\t')

# Calculate ratios
if ftype == 'Nlc-avg':
	f=open(filetowrite1,'ab')       # open file by binary mode and append

	#Write lipid cluster composition ratio
	avg[0,0]=0; avg[0,1]=0; avg[0,2]=0;
	Rc = avg/np.sum(avg,axis=1); 
    	np.savetxt(f, Rc, fmt='%.3f', delimiter='\t')

	#Write lipid overall number composition ratio
	Nlipa= np.asarray(Nlip); Nlipr=Nlipa.reshape(1,-1); RN=Nlipr/float(np.sum(Nlipr,axis=1));
    	np.savetxt(f, RN, fmt='%.3f', delimiter='\t')

	#Write lipid cluster composition ratio minus overall number composition ratio
	Rdif= Rc- RN;
    	np.savetxt(f, Rdif, fmt='%.3f', delimiter='\t')
	
	#Yu: Write percentage difference between cluster composition and number composition ratio
	Rc=Rc[:,3:]; RN=RN[:,3:];  # cut the first three to avoid 0 in denominator
	Rdifp= (Rc- RN)/RN;
	Rdifpl=Rdifp.tolist()
	Rdifpfake=[0,0,0]
	Rdifpfake.extend(Rdifpl[0])
	Rdifpa=np.asarray(Rdifpfake); Rdifpfinal=Rdifpa.reshape(1,-1)
    	np.savetxt(f, Rdifpfinal, fmt='%.3f', delimiter='\t')

	f.close()




